sqrt
tan
Math Functions
PHP Manual

# srand

(PHP 4, PHP 5)

srand — Seed the random number generator

### Description

void srand ([ int `$seed` ] )

Seeds the random number generator with `seed` or with a random value if no `seed` is given.

> Note: There is no need to seed the random number generator with srand() or mt_srand() as this is done automatically.

### Parameters

`seed`

  Optional seed value

### Return Values

No value is returned.

### Examples

Example #1 srand() example

`<?php
// seed with microseconds
function make_seed()
{
list($usec, $sec) = explode(' ', microtime());
return (float) $sec + ((float) $usec * 100000);
}
srand(make_seed());
$randval = rand();
?>`

### See Also

- rand() - Generate a random integer
- getrandmax() - Show largest possible random value
- mt_srand() - Seed the better random number generator

sqrt
tan
Math Functions
PHP Manual